Get Businesses by Account
GET https://services.leadconnectorhq.com/businesses/
Authorization
Query parameters
Responses
200 - Successful response
businesses (object[], required): Business Response
id (string, required): Business Id Example: 63771dcac1116f0e21de8e12
name (string, required): Business Name Example: Microsoft
phone (string): phone number
email (string): email Example: abc@microsoft.com
website (string): website Example: microsoft.com
address (string): address
description (string): description
postalCode (string): postal code
country (string): country Example: united states
updatedBy (object): updated By
locationId (string, required): locaitonId
createdBy (object): Created By
createdAt (string): Creation Time
updatedAt (string): Last updation time
{
"businesses": [
{
"id": "63771dcac1116f0e21de8e12",
"name": "Microsoft",
"phone": "string",
"email": "abc@microsoft.com",
"website": "microsoft.com",
"address": "string",
"city": "string",
"description": "string",
"state": "string",
"postalCode": "string",
"country": "united states",
"locationId": "string",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
}
400 - Bad Request
401 - Unauthorized
Example
curl -X GET 'https://services.leadconnectorhq.com/businesses/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/businesses/', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/businesses/',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/businesses/');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);